std::atomic_flag::notify_all(3)

NAME
std::atomic_flag::notify_all - std::atomic_flag::notify_all

Synopsis
   void notify_all() noexcept; (since C++20)
   void notify_all() volatile noexcept;
   Performs atomic notifying operations.
   Unblocks all threads blocked in atomic waiting operations (i.e. wait()) on *this, if
   there are any; otherwise does nothing.

Return value
   (none)

Notes
   This form of change-detection is often more efficient than simple polling or pure
   spinlocks.

Example
    This section is incomplete
    Reason: no example

See also
   wait blocks the thread until notified and the atomic value
   (C++20) changes
                        (public member function)
   atomic_flag_wait
   atomic_flag_wait_explicit blocks the thread until notified and the flag changes
   (C++20) (function)
   (C++20)
   atomic_flag_notify_one notifies a thread blocked in atomic_flag_wait
   (C++20) (function)